//Serena Bailey ITDEV140 Downtown Campus AM
package bailey_guicustomhomes;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;


public class HomeOrders {
    final String DB_URL = "jdbc:derby://localhost:1527/HomeOrdersDB;user=sa;password=sa;create=true";
    
    public HomeOrders()
    {
        try
        {
            Connection conn = DriverManager.getConnection(DB_URL);
            
            dropTables(conn);
            
            buildHomeOrdersTable(conn);
          
            
            conn.commit();
            
            //close connection
            conn.close();
           
        }catch(Exception ex)
        {
           //if connection fails
            System.out.println("Error: " + ex.getMessage());
        
        }
    }
    
    public static void dropTables(Connection conn)
    {
        System.out.println("Checking for existing tables");
        
        try
        {
            Statement stmt = conn.createStatement();
            
            try
            {
                stmt.execute("DROP TABLE HomeOrders");
                System.out.println("HomeOrders table dropped.");
            } catch(SQLException ex)
            {
                //no need to report if table does not exist.
            }
            
            }catch(SQLException ex)
            {
                System.out.println("Error: " + ex.getMessage());
                ex.printStackTrace();
            }
    }
    
    public static void buildHomeOrdersTable(Connection conn)
    {
        try
        {
            Statement stmt = conn.createStatement();
            
            stmt.execute("CREATE Table HomeOrders (" +
                    "HomesFName CHAR(25), " +
                    "HomesLName CHAR(25) NOT NULL PRIMARY KEY, " +
                    "Address CHAR(50), " + 
                    "City CHAR(20)," +
                    "State CHAR(20)," +
                    "ZipCode CHAR(20)," +
                    "HomeType CHAR(50)," +
                    "Price CHAR(15)" +
                    ")");
            
            System.out.println("created HomeOrders table");
            
            //all of the home owners to put into the table.
            stmt.execute("INSERT INTO HomeOrders Values ( " +
                         "'Serena', " +
                         "'Bailey'," +
                         "'507 Columbia Ave', " +
                         "'South Milwaukee', " +
                         "'Wisconsin', " +
                         "'53172', " +
                         "'Luxury', " +
                    "'250000.00')" );
            
            stmt.execute("INSERT INTO HomeOrders Values ( " +
                         "'Sally', " +
                         "'Mae'," +
                         "'123 Main St', " +
                         "'Milwaukee', " +
                         "'Wisconsin', " +
                         "'53112', " +
                         "'Custom', " +
                    "'150000.00')" );
            
            stmt.execute("INSERT INTO HomeOrders Values ( " +
                         "'Jimmy', " +
                         "'Jones'," +
                         "'321 State St', " +
                         "'Waukesha', " +
                         "'Wisconsin', " +
                         "'53172', " +
                         "'Standard', " +
                    "'320000.00')" );

            System.out.println("inserted HomeOrders data");  
        }catch(SQLException ex)
        {
            System.out.println("Error: " + ex.getMessage());
        }
    }
}
